
# FREDquery
#

<p>
FredQuery uses the stlouisfed.org FRED
API(https://fred.stlouisfed.org/docs/api/fred/) for the most part to
access FRED data. To access the data you have to use an api_key that can
be acquired here(https://fred.stlouisfed.org/docs/api/api_key.html).
These scripts assume that the api_key is available through the FRED_API_KEY
environmental variable. Each script including fredsources
script will collect basic data for its type. For example
fredcategories will collect data for all its categories. They can
also collect series and observations(timeseries) for its type.
</p〉
<p>
To find a series, first invoke the command with it's type. For example:
    'fredcategories --categories --showcategories'
This will display the categories in a table in your browser. Choose a
series based on the typeid you choose from the first fred command. For
example:
    'fredcategories --series --categoryid 32145 --showseries'
From the output of this command you will be able to choose the time
series observations that you wish to evaluate.
</p>
<p> This is a work in progress
fredplotseries creates plots for a comma separated list of series_id.
fredplot creates plots and descriptions for series related to
categories, releases, sources, or tags. The descriptions are taken from
the series data while the plots use the observation data
</p>


## [Usage]

<br/>
##<br/>
## fredcategories<br/>
##<br/>
usage: fredcategories [-h] [--categories] [--showcategories] [--children]<br/>
[--showchildren] [--series] [--showseries]<br/>
[--observations] [--categoryid CATEGORYID]<br/>
[--file FILE] [--directory DIRECTORY]<br/>
<br/>
collect and report stlouisfed.org FRED categories and/or series<br/>
<br/>
options:<br/>
-h, --help            show this help message and exit<br/>
--categories          report category data<br/>
--showcategories      show categories in your browser<br/>
--children            report category child data<br/>
--showchildren        show children of a category in your browser<br/>
--series              report series urls for categories collected<br/>
--showseries          show series for a category in your browser<br/>
--observations        report timeseries data for categories<br/>
--categoryid CATEGORYID<br/>
categories are identified by category_id<br/>
--file FILE           path to an output filename if just a filename and--<br/>
directory is not provided the file is created in the<br/>
current directory<br/>
--directory DIRECTORY<br/>
directory to write the output use --directory for<br/>
storing observations, filenames autogenerated<br/>
<br/>
<br/>
##<br/>
## fredreleases<br/>
##<br/>
usage: fredreleases [-h] [--releases] [--showreleases] [--series]<br/>
[--showseries] [--observations] [--releaseid RELEASEID]<br/>
[--seriesid SERIESID] [--file FILE]<br/>
[--directory DIRECTORY]<br/>
<br/>
collect and report stlouisfed.org FRED releases and/or their time series<br/>
<br/>
options:<br/>
-h, --help            show this help message and exit<br/>
--releases            return releases<br/>
--showreleases        show releases in your browser<br/>
--series              return series by series_id or by release_id<br/>
--showseries          show series for a release_id in your browser<br/>
--observations        return timeseries for all series collected<br/>
--releaseid RELEASEID<br/>
a release_id identifies a FRED release<br/>
--seriesid SERIESID   a series_id identifies a FRED series<br/>
--file FILE           path to an output filename if just a filename and--<br/>
directory is not provided the file is created in the<br/>
current directory<br/>
--directory DIRECTORY<br/>
directory to write the output, if --observations<br/>
filenames are autogenerated<br/>
<br/>
<br/>
##<br/>
## fredseries<br/>
##<br/>
usage: fredseries [-h] [--series] [--showseries] [--observations]<br/>
[--categories] [--releases] [--sources] [--tags]<br/>
[--updates] --seriesid SERIESID [--file FILE]<br/>
[--directory DIRECTORY]<br/>
<br/>
collect and report stlouisfed.org FRED series<br/>
<br/>
options:<br/>
-h, --help            show this help message and exit<br/>
--series              report series urls for series_id<br/>
--showseries          show the series in your browser<br/>
--observations        report timeseries data for series<br/>
--categories          report categories for this series<br/>
--releases            report categories for this series<br/>
--sources             report sources for this series<br/>
--tags                report tags for this series<br/>
--updates             report updates for this series<br/>
--seriesid SERIESID   series are identified by series_id<br/>
--file FILE           path to an output filename if just a filename and--<br/>
directory is not provided the file is created in the<br/>
current directory<br/>
--directory DIRECTORY<br/>
directory to write the output use --directory for<br/>
storing observations, filenames autogenerated<br/>
<br/>
<br/>
##<br/>
## fredplot<br/>
##<br/>
usage: fredplot [-h] [--categoryid CATEGORYID] [--releaseid RELEASEID]<br/>
[--sourceid SOURCEID] [--tagname TAGNAME]<br/>
[--directory DIRECTORY]<br/>
<br/>
plot a set of St. Louis Fed FRED series<br/>
<br/>
options:<br/>
-h, --help            show this help message and exit<br/>
--categoryid CATEGORYID<br/>
FRED category_id<br/>
--releaseid RELEASEID<br/>
FRED release_id<br/>
--sourceid SOURCEID   FRED source_id<br/>
--tagname TAGNAME     FRED tagname<br/>
--directory DIRECTORY<br/>
where to store html<br/>
<br/>
<br/>
##<br/>
## fredplotseries<br/>
##<br/>
usage: fredplotseries [-h] --serieslist SERIESLIST [--htmlfile HTMLFILE]<br/>
<br/>
plot a series list<br/>
<br/>
options:<br/>
-h, --help            show this help message and exit<br/>
--serieslist SERIESLIST<br/>
comma separated list of FRED series_id's<br/>
--htmlfile HTMLFILE   path to file that will contain the plot<br/>
<br/>
<br/>
##<br/>
## fredsources<br/>
##<br/>
usage: fredsources [-h] [--sources] [--showsources] [--releases]<br/>
[--showreleasesforsid] [--series] [--showseries]<br/>
[--observations] [--sourceid SOURCEID] [--file FILE]<br/>
[--directory DIRECTORY]<br/>
<br/>
collect and report stlouisfed.org FRED sources and/or their releases<br/>
<br/>
options:<br/>
-h, --help            show this help message and exit<br/>
--sources             return sources<br/>
--showsources         show sources in your browser<br/>
--releases            return releases for a source_id<br/>
--showreleasesforsid  show releases for a source_id in your browser<br/>
--series              return series for a source_id<br/>
--showseries          show series for a series_id in your browser<br/>
--observations        return observations for a source_id<br/>
--sourceid SOURCEID   a source_id identifies a FRED source<br/>
--file FILE           path to an output filename if just a filename and--<br/>
directory is not provided the file is created in the<br/>
current directory<br/>
--directory DIRECTORY<br/>
directory to write the output, if --observations<br/>
filenames are autogenerated<br/>
<br/>
<br/>
##<br/>
## fredtags<br/>
##<br/>
usage: fredtags [-h] [--tags] [--showtags] [--series] [--showseries]<br/>
[--observations] [--tagname TAGNAME] [--seriesid SERIESID]<br/>
[--file FILE] [--directory DIRECTORY]<br/>
<br/>
collect and report stlouisfed.org FRED tags and/or their series<br/>
<br/>
options:<br/>
-h, --help            show this help message and exit<br/>
--tags                return tags<br/>
--showtags            show tags in your browser<br/>
--series              return series for a tag_id or for a series_id<br/>
--showseries          show series for a tagname in your browser<br/>
--observations        report timeseries data for tags<br/>
--tagname TAGNAME     comma separated list of tag_names<br/>
--seriesid SERIESID   series_id - identifies a series<br/>
--file FILE           path to an output filename if just a filename and--<br/>
directory is not provided the file is created in the<br/>
current directory<br/>
--directory DIRECTORY<br/>
save the output to the directory specified<br/>
<br/>
